Bug 447859 - quilt refresh outputs various 'Prototype mismatch errors'
quilt refresh outputs various 'Prototype mismatch errors'
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: perl-gettext (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Ralf Corsepius
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-22 02:36 EDT by Dwayne Bailey
Modified: 2011-03-18 08:32 EDT (History)
6 users (show)

See Also:
Fixed In Version: 1.05-16.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-07 00:55:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
perl-gettext patch (227 bytes, patch)
2009-07-27 07:43 EDT, Stefan Assmann
no flags Details | Diff

  None (edit)
Description Dwayne Bailey 2008-05-22 02:36:48 EDT
Description of problem:
On Fedora 9 whenever I now run 'quilt refresh' I get a number of 'Prototype
mismatch' errors

Version-Release number of selected component (if applicable):
0.46-5.fc9

How reproducible:
The following is a dump of my console session:

[dwayne@dhcppc32 filters]$ quilt refresh 
Prototype mismatch: sub main::LC_ALL: none vs () at
/usr/share/quilt/scripts/remove-trailing-ws line 21
Prototype mismatch: sub main::LC_NUMERIC: none vs () at
/usr/share/quilt/scripts/remove-trailing-ws line 21
Prototype mismatch: sub main::LC_TIME: none vs () at
/usr/share/quilt/scripts/remove-trailing-ws line 21
Prototype mismatch: sub main::LC_MONETARY: none vs () at
/usr/share/quilt/scripts/remove-trailing-ws line 21
Prototype mismatch: sub main::LC_CTYPE: none vs () at
/usr/share/quilt/scripts/remove-trailing-ws line 21
Prototype mismatch: sub main::LC_MESSAGES: none vs () at
/usr/share/quilt/scripts/remove-trailing-ws line 21
Prototype mismatch: sub main::LC_COLLATE: none vs () at
/usr/share/quilt/scripts/remove-trailing-ws line 21
Refreshed patch ../../patches/translate-filter_valid-accelerator-keys.diff
[dwayne@dhcppc32 filters]$ locale
LANG=en_ZA.utf8
LC_CTYPE="en_ZA.utf8"
LC_NUMERIC="en_ZA.utf8"
LC_TIME="en_ZA.utf8"
LC_COLLATE="en_ZA.utf8"
LC_MONETARY="en_ZA.utf8"
LC_MESSAGES="en_ZA.utf8"
LC_PAPER="en_ZA.utf8"
LC_NAME="en_ZA.utf8"
LC_ADDRESS="en_ZA.utf8"
LC_TELEPHONE="en_ZA.utf8"
LC_MEASUREMENT="en_ZA.utf8"
LC_IDENTIFICATION="en_ZA.utf8"
LC_ALL=

  
Actual results:
Errors are output

Expected results:
No errors

Additional info:
I did a locale dump above as the errors all relate to getting info from a
locale, my concern being that perhaps Perl (which I assume quilt is written in)
does not fully support en_ZA.
Comment 1 Josh Boyer 2008-05-23 08:18:42 EDT
That doesn't look like a quilt problem really, as you suggested.  Most of quilt
is written in bash scripts, however that particular file is a perl script.

I'll see what I can find.
Comment 2 Alasdair Kergon 2009-03-27 17:55:25 EDT
http://rt.cpan.org/Public/Bug/Display.html?id=35680 - fixes it for me.
Comment 3 Stefan Assmann 2009-07-09 05:16:38 EDT
still having this issue in F11.
Comment 4 Stefan Assmann 2009-07-27 07:43:18 EDT
Created attachment 355266 [details]
perl-gettext patch

Here's the patch Alasdair was talking about in comment #2. Please apply, I can confirm it works.
Comment 5 Fedora Update System 2009-07-27 11:39:18 EDT
perl-gettext-1.05-16.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-gettext-1.05-16.fc11
Comment 6 Fedora Update System 2009-07-27 11:40:17 EDT
perl-gettext-1.05-16.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-gettext-1.05-16.fc10
Comment 7 Fedora Update System 2009-07-28 14:25:51 EDT
perl-gettext-1.05-16.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-gettext'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8065
Comment 8 Fedora Update System 2009-07-28 14:27:01 EDT
perl-gettext-1.05-16.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-gettext'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8069
Comment 9 Fedora Update System 2009-08-07 00:55:05 EDT
perl-gettext-1.05-16.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-08-07 00:59:59 EDT
perl-gettext-1.05-16.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.